Version 2.0.0b1 released (beta channel)


I released version 2.0.0 beta 1 today to the beta channel.  The major change in version 2.0 is switching to OAuth2 for authentication because Google deprecated the ClientLogin method that previous versions of gContactSync used (it will no longer be supported in April 2015).  You can download it here.  Just scroll down to Development Channel.

The first time you use version 2.0.0b1 or later you will have to reauthenticate each unique account you synchronize (once per e-mail address, not synchronized address book).  Unfortunately gContactSync cannot use your saved e-mail password from Thunderbird any more with OAuth2.

It also adds a hidden preference to change the size of the Notes field in the Edit Contact dialog.    To change this preference:

  • Go to Menu -> Preferences -> Preferences
  • Go to the Advanced -> General tab
  • Click Config Editor…
  • Click the button saying that you’ll be careful
  • Type notesHeight
  • Double-click the result and type the desired size, followed by px, for example, 400px
  • Close the Config Editor and Preferences windows

If you try the beta please let me know how it works.

, , , ,

  1. #1 by Pablo on December 23, 2014 - 9:58 PM

    Hi,
    I’ve just tested the new gContactSync 2.0.0 b1 and it didn’t work for me. I’m running the latest stable version of Thunderbird (31.3.0) on Windows 7.
    When I first tried to sync with the new version of gContactSync, it displayed a notice about requiring a new authorization (due to the changes on Google). I clicked “Allow” on the pop-up window, but apparently there was some sort of error, because a new page opened on my browser showing the following text: “405. That’s an error.
    The requested URL was not found on this server. That’s all we know.”
    It’s a Google page and its url starts with: https://accounts.google.com/o/oauth2/approval?as=
    Then I closed the pop-up window and tried to sync again, and gContactSync got stuck at “Synchronizing …”
    Also, this error showed up in the log file:
    ***WARNING: Unable to find the auth token for: (my email address)

    I think I’ll switch back to the stable version of gContactSync for the time being, but let me know if I can help you with debugging version 2

  2. #2 by Pi on December 23, 2014 - 10:14 PM

    Sorry, I am not sure why that happened since it works fine for me on multiple accounts (of course ;)). Could you enable verbose logging in the Preferences, restart Thunderbird, and try one more time? If it fails again please e-mail the verbose log to joshgeenen at gmail.

    Thanks,

    Josh

  3. #3 by Pablo on December 23, 2014 - 10:25 PM

    I’ve just tried again, and got the same error.
    I’m emailing the verbose log to your address.

(will not be published)